macpack(Mono 1.0)

NAME
macpack - Macintosh OS X Packager for managed gui assemblies

SYNOPSIS

macpack [options]

DESCRIPTION
macpack is a tool used to package managed assemblies (like System.Windows.Forms or Cocoa#) that require gui availability for deployment on Mac OS X.

macpack will prepare a OS X compatible bundle from the provided assembly and resources.

OPTIONS
-a <assembly location>

This option tells macpack where the managed assembly that you want to bundle resides. This option is also used to point to the shell script to launch in the case of a X11/Gtk# application.

-m <mode>

An integer parameter of the mode (Cocoa# or System.Windows.Forms or X11). System.Windows.Forms = 1 Cocoa# = 2 Gtk#/X11 = 3

-n <application name>

This option specifies the application name of the emitted bundle. This is what you will see in Finder.

-o <output path>

This option specifies the path to output the generated Application.

-r <resource>

This option can be specified multiple times. It will place a copy of each resource into the bundles resources directory.

WEB SITE
Visit: http://www.mono-project.com for details